View Issue Details

IDProjectCategoryView StatusLast Update
0004964SymmetricDSImprovementpublic2021-06-09 00:00
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.9.25 
Target Version3.10.14Fixed in Version3.10.14 
Summary0004964: Sybase: change trigger to be more efficient and to allow use of tx_id_expression in sym_trigger
DescriptionMake the trigger more efficient.
Currently the master.dbo.sysprocesses table is queried twice to populate clientName and clientApplName variables.
This should be done in one query instead.

Allow use of tx_id_expression.
Change the ASE dialect to allow the use of tx_id_expression.
Currently, the hard-coded part of the query to set the transaction ID is:
select @txid =

This change will allow the user to specify per trigger the part of the query that will query the database server. The return will be saved in the transaction_id column of sym_data.
Tagsdialect: sybase, trigger

Activities

pmarzullo

2021-04-28 11:50

developer   ~0001929

Pulling into 3.10.14, 3.11.14, 3.12.9, and 3.13.0

Related Changesets

SymmetricDS: 3.9 c450f5e1

2021-04-28 11:49:27

pmarzullo

Details Diff
0004964: Sybase: change trigger to be more efficient and to allow use of
tx_id_expression in sym_trigger
Affected Issues
0004964
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

SymmetricDS: 3.10 e2fcf8ec

2021-04-28 11:49:27

pmarzullo

Details Diff
0004964: Sybase: change trigger to be more efficient and to allow use of
tx_id_expression in sym_trigger
Affected Issues
0004964
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

SymmetricDS: 3.11 98c61ac8

2021-04-28 11:49:27

pmarzullo

Details Diff
0004964: Sybase: change trigger to be more efficient and to allow use of
tx_id_expression in sym_trigger
# Conflicts:
# symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java
Affected Issues
0004964
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

SymmetricDS: 3.12 dad0b254

2021-04-28 11:49:27

pmarzullo

Details Diff
0004964: Sybase: change trigger to be more efficient and to allow use of
tx_id_expression in sym_trigger
# Conflicts:
# symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java

# Conflicts:
# symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java
Affected Issues
0004964
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

SymmetricDS: 3.13 42260b6b

2021-04-28 11:49:27

pmarzullo

Details Diff
0004964: Sybase: change trigger to be more efficient and to allow use of
tx_id_expression in sym_trigger
# Conflicts:
# symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java

# Conflicts:
# symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java
Affected Issues
0004964
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2021-04-22 19:13 pmarzullo New Issue
2021-04-22 19:13 pmarzullo Status new => assigned
2021-04-22 19:13 pmarzullo Assigned To => pmarzullo
2021-04-22 19:13 pmarzullo Tag Attached: dialect: sybase
2021-04-22 19:13 pmarzullo Tag Attached: trigger
2021-04-28 11:50 pmarzullo Status assigned => resolved
2021-04-28 11:50 pmarzullo Resolution open => fixed
2021-04-28 11:50 pmarzullo Fixed in Version => 3.10.14
2021-04-28 11:50 pmarzullo Note Added: 0001929
2021-04-28 12:00 pmarzullo Changeset attached => SymmetricDS 3.9 c450f5e1
2021-04-28 12:00 pmarzullo Changeset attached => SymmetricDS 3.10 e2fcf8ec
2021-04-28 13:00 pmarzullo Changeset attached => SymmetricDS 3.11 98c61ac8
2021-04-28 13:00 pmarzullo Changeset attached => SymmetricDS 3.12 dad0b254
2021-06-09 00:00 pmarzullo Changeset attached => SymmetricDS 3.13 42260b6b